API Documentation

SEO&OH VOICE API로 82개 언어 음성을 생성하세요. Creator 플랜(79,000원/월)부터 사용 가능합니다.

API 키는 로그인 후 대시보드 > API 키에서 발급받을 수 있습니다.

Quick Start

3줄로 첫 음성을 생성하세요.

Python
import requests

response = requests.post(
    "https://tts.seoandoh.kr/v1/tts",
    headers={"Authorization": "Bearer sk-seooh-YOUR_API_KEY"},
    json={"text": "안녕하세요", "voice_id": "seooh-b-ko-f-01"}
)

with open("output.wav", "wb") as f:
    f.write(response.content)
JavaScript
const response = await fetch("https://tts.seoandoh.kr/v1/tts", {
  method: "POST",
  headers: {
    "Authorization": "Bearer sk-seooh-YOUR_API_KEY",
    "Content-Type": "application/json"
  },
  body: JSON.stringify({ text: "안녕하세요", voice_id: "seooh-b-ko-f-01" })
});

const blob = await response.blob();
cURL
curl -X POST https://tts.seoandoh.kr/v1/tts \
  -H "Authorization: Bearer sk-seooh-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"text":"안녕하세요","voice_id":"seooh-b-ko-f-01"}' \
  -o output.wav

인증

모든 API 요청에 Bearer 토큰을 포함해야 합니다.

Authorization: Bearer sk-seooh-xxxxxxxxxxxxxxxxxxxxxxxx
API 키를 절대 클라이언트 사이드(프론트엔드)에 노출하지 마세요. 서버에서만 사용하세요.

사용량 한도

API 사용량은 대시보드 사용량과 통합됩니다. 플랜별 월간 한도:

플랜월간 한도API 접근
Free1만자
Starter10만자
Creator30만자
Pro70만자
Business400만자

텍스트 음성 변환

POSThttps://tts.seoandoh.kr/v1/tts
ParameterTypeDescription
text requiredstring변환할 텍스트
voice_id requiredstring음성 ID (예: "seooh-b-ko-f-01", "seooh-b-en-f-01", 또는 클론 voice_id)
language string82개 언어 지원 ("ko", "en", "ja", "zh" 등, 기본: Auto)
output_format string"wav" 또는 "mp3" (기본: wav)
tone_instruction string톤 지시 (예: "뉴스 앵커처럼")

감정 TTS

POSThttps://tts.seoandoh.kr/v1/emotion-tts
ParameterTypeDescription
text requiredstring변환할 텍스트
voice string음성 ID (기본: seooh-b-ko-f-01)
exaggeration float감정 강도 0.0~1.0 (기본: 0.5)

목소리 복제

POSThttps://tts.seoandoh.kr/v1/voice-clonemultipart/form-data
ParameterTypeDescription
text requiredstring복제된 목소리로 말할 텍스트
ref_audio requiredfile음성 샘플 파일 (3초~1분, WAV/MP3/M4A)

응답 헤더 X-Voice-Id에 생성된 voice_id가 포함됩니다. 이 ID로 /v1/tts에서 재사용 가능.

기본 보이스 목록

seooh-b-ko-f-01
Minji
밝고 친근한 여성 · 한국어
seooh-b-ko-m-01
Taeho
차분한 남성 내레이터 · 한국어
seooh-b-ja-f-01
Sakura
밝고 활기찬 일본어 여성 · 일본어
seooh-b-ja-m-01
Kenta
차분한 일본어 남성 · 일본어
seooh-b-en-f-01
Zara
Friendly English Female · 영어
seooh-b-en-m-01
Kade
Young Male Narrator · 영어

+ 총 41개 프리셋 보이스 + 82개 언어 지원. 클론된 voice_id도 사용 가능.

에러 처리

StatusDescription
400잘못된 요청 (텍스트 누락 등)
401인증 실패 — API 키가 유효하지 않거나 비활성화됨
429월간 사용량 초과
500서버 오류
궁금한 점이 있으시면 inquiry@seoandoh.kr로 문의해 주세요.